Bug 1844276 - k8s.gcr.io/pause:3.1 is in use as a pause container sometimes
Summary: k8s.gcr.io/pause:3.1 is in use as a pause container sometimes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Node
Version: 4.5
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: ---
: 4.5.0
Assignee: Urvashi Mohnani
QA Contact: Sunil Choudhary
URL:
Whiteboard:
Depends On: 1823967
Blocks: 1848021
TreeView+ depends on / blocked
 
Reported: 2020-06-04 23:52 UTC by OpenShift BugZilla Robot
Modified: 2020-07-13 17:43 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-13 17:43:18 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift installer pull 3731 None closed [release-4.5] Bug 1844276: Add the --pod-infra-container-image flag to the kubelet service 2020-07-07 05:22:52 UTC
Github openshift machine-config-operator pull 1784 None closed [release-4.5] Bug 1844276: Set the pod-infra-container-image flag in kubelet to ocp pause image 2020-07-07 05:22:52 UTC
Red Hat Product Errata RHBA-2020:2409 None None None 2020-07-13 17:43:38 UTC

Comment 3 Sunil Choudhary 2020-06-19 07:58:12 UTC
Pod infra container image is set to openshift release image from quay.io

$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.5.0-0.nightly-2020-06-18-210518   True        False         166m    Cluster version is 4.5.0-0.nightly-2020-06-18-210518

$ oc get nodes
NAME                                         STATUS   ROLES    AGE    VERSION
ip-10-0-130-57.us-east-2.compute.internal    Ready    master   3h8m   v1.18.3+91d0edd
ip-10-0-147-238.us-east-2.compute.internal   Ready    worker   176m   v1.18.3+91d0edd
ip-10-0-162-139.us-east-2.compute.internal   Ready    worker   176m   v1.18.3+91d0edd
ip-10-0-181-185.us-east-2.compute.internal   Ready    master   3h8m   v1.18.3+91d0edd
ip-10-0-196-157.us-east-2.compute.internal   Ready    master   3h8m   v1.18.3+91d0edd
ip-10-0-204-22.us-east-2.compute.internal    Ready    worker   176m   v1.18.3+91d0edd

$ oc debug node/ip-10-0-130-57.us-east-2.compute.internal
Starting pod/ip-10-0-130-57us-east-2computeinternal-debug ...
...

sh-4.4# journalctl -u kubelet | grep -i pod-infra-container-image
Jun 19 04:43:35 ip-10-0-130-57 hyperkube[1459]: I0619 04:43:35.408827    1459 flags.go:33] FLAG: --pod-infra-container-image="quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:eab29acb16f71beef5afb6fe3e351eedc6869bc17290471201b06413d471a359"
Jun 19 04:43:35 ip-10-0-130-57 hyperkube[1459]: W0619 04:43:35.410328    1459 server.go:192] Warning: For remote container runtime, --pod-infra-container-image is ignored in kubelet, which should be set in that remote runtime instead

sh-4.4# journalctl -u kubelet | grep -e "k8s.gcr.io" -e pause
sh-4.4#

Comment 4 errata-xmlrpc 2020-07-13 17:43:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.